%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% ARF MATLAB example, (c) MOGLabs 2017
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% create a device instance
dev = mogdevice();
% example: connecting by ethernet
dev.connect('10.1.1.31');
% print some information about the device
disp(dev.ask('INFO'));

% create a gaussian envelope
N = 500;
pulse = exp(-(8*((0:N)/N - 0.5)).^2);
plot(pulse)
% convert mW to dBm
pulse = 10*log10(pulse);

% upload gaussian pulse in simple table mode
dev.cmd('MODE,1,TSB');
dev.cmd('TABLE,CLEAR,1');
disp('Uploading table...')
for i=1:length(pulse)
    % we can use printf notation when sending commands
    dev.cmd('TABLE,APPEND,1,100MHz,%f dBm,0,1us',pulse(i));
end
disp('Done')
dev.cmd('TABLE,ARM,1')
dev.cmd('TABLE,START,1')

% close the connection
delete(dev);
